import React, {PureComponent, Fragment} from 'react';
import {Platform} from 'react-native';

export default class RenderComponentFor extends React.PureComponent {
  render() {
    const {ios, android, ...rest} = this.props;
    if (this.props[Platform.OS]) {
      const Component = this.props[Platform.OS];
      return <Component {...rest}>{this.props.children}</Component>
    }
    return <React.Fragment>{this.props.children}</React.Fragment>
  }
}
